import CryptoJS from 'crypto-js'

const key = "DOkldC48$@#(&siI";
const iv = "4dad87133de5f2de"

// 加密
function Encrypt(text) {
    // 解密模式为CBC，补码方式为PKCS5Padding（也就是PKCS7）
    return CryptoJS.AES.encrypt(text, CryptoJS.enc.Utf8.parse(key), {
        iv: CryptoJS.enc.Utf8.parse(iv),
        mode: CryptoJS.mode.CBC,
        padding: CryptoJS.pad.Pkcs7
    }).toString()
}

// 解密 
function Decrypt(text) {
     // 解密模式为CBC，补码方式为PKCS5Padding（也就是PKCS7）
    let decrypted = CryptoJS.AES.decrypt(text, CryptoJS.enc.Utf8.parse(key), {
        iv: CryptoJS.enc.Utf8.parse(iv),
        mode: CryptoJS.mode.CBC,
        padding: CryptoJS.pad.Pkcs7
    })
    return decrypted.toString(CryptoJS.enc.Utf8)
}

export default {
    Encrypt,
    Decrypt
}
